# == Class jenkins::params
#
# This class is meant to be called from jenkins.
# It sets variables according to platform.
#
class jenkins::params {
  case $::osfamily {
    'Debian': {
      $package_name = 'jenkins'
      $service_name = 'jenkins'
    }
    'RedHat', 'Amazon': {
      $package_name = 'jenkins'
      $service_name = 'jenkins'
    }
    default: {
      fail("${::operatingsystem} not supported")
    }
  }
}
