# == Class jenkins::install
#
# This class is called from jenkins for install.
#
class jenkins::pre_install {
  rpmkey { '9B7D32F2D50582E6':
    ensure => present,
    source => 'https://pkg.jenkins.io/redhat/jenkins-ci.org.key',
  }

  yumrepo { 'jenkins':
    ensure   => 'present',
    baseurl  => 'http://pkg.jenkins.io/redhat-stable',
    descr    => 'Jenkins',
    gpgcheck => '1',
  }
}
