# == Class jenkins::service
#
# This class is meant to be called from jenkins.
# It ensure the service is running.
#
class jenkins::service {
  require ::java

  service { $::jenkins::service_name:
    ensure     => $::jenkins::ensure_service,
    enable     => true,
    hasstatus  => true,
    hasrestart => true,
  }
}
