# Class: jenkins
# ===========================
#
# Full description of class jenkins here.
#
# Parameters
# ----------
#
# * `sample parameter`
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
class jenkins (
  String $package_name = $::jenkins::params::package_name,
  String $service_name = $::jenkins::params::service_name,
  Enum['running', 'stopped'] $run_service = 'running',
) inherits ::jenkins::params {

  # validate parameters here

  class { '::jenkins::pre_install': }
  -> class { '::jenkins::install': }
  -> class { '::jenkins::config': }
  ~> class { '::jenkins::service': }
  -> Class['::jenkins']
}
